Bug 534868 - (RHQ-1622) summary tab relative times should be contrained to at most 2 time units
summary tab relative times should be contrained to at most 2 time units
Status: CLOSED NEXTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
unspecified
All All
low Severity medium (vote)
: ---
: ---
Assigned To: Joseph Marques
Jeff Weiss
http://jira.rhq-project.org/browse/RH...
: Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-20 15:34 EST by Joseph Marques
Modified: 2014-11-09 17:48 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.2
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joseph Marques 2009-02-20 15:34:00 EST
timestamps on the summary page come in one of three flavors:

<time>
Yesterday, <time>
<relative time> ago

relative time today can be X days, Y hours, Z minutes...but this creates a relatively long timestamp label.  we should constrain this to be at most two time units.  so if we have X and Y, the Z units should be suppressed.  however, if we have X but Y is 0, then we should display X and Z to compensate.
Comment 1 Joseph Marques 2009-02-20 15:35:00 EST
rev3199 - display no more than 2 time unit segments;
Comment 2 Jeff Weiss 2009-03-06 13:15:55 EST
I looked at a bunch of resources and couldn't find any with more than 2 time units displayed.  Looks good.
Comment 3 Red Hat Bugzilla 2009-11-10 15:36:55 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1622

Note You need to log in before you can comment on or make changes to this bug.